ThemeChangeInterceptor (Spring Framework 3.2.1.RELEASE API)
Date: 2013-01-24

org.springframework.web.servlet.theme

## Class ThemeChangeInterceptor

- java.lang.Object
- - org.springframework.web.servlet.handler.HandlerInterceptorAdapter
  - - org.springframework.web.servlet.theme.ThemeChangeInterceptor

- All Implemented Interfaces:
    AsyncHandlerInterceptor, HandlerInterceptor

      public class ThemeChangeInterceptor
      extends HandlerInterceptorAdapter

  Interceptor that allows for changing the current theme on every request, via a configurable request parameter.
  Since:
    20.06.2003
  Author:
    Juergen Hoeller
  See Also:
    `ThemeResolver`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DEFAULT_PARAM_NAME` Default name of the theme specification parameter: "theme".

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ThemeChangeInterceptor()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getParamName()` Return the name of the parameter that contains a theme specification in a theme change request.
    `boolean` | `preHandle(HttpServletRequest request, HttpServletResponse response, Object handler)` This implementation always returns `true`.
    `void` | `setParamName(String paramName)` Set the name of the parameter that contains a theme specification in a theme change request.

    - ### Methods inherited from class org.springframework.web.servlet.handler.HandlerInterceptorAdapter

      `afterCompletion, afterConcurrentHandlingStarted, postHandle`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_PARAM_NAME

          public static final String DEFAULT_PARAM_NAME

      Default name of the theme specification parameter: "theme".
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ThemeChangeInterceptor

          public ThemeChangeInterceptor()

  - ### Method Detail

    - #### setParamName

          public void setParamName(String paramName)

      Set the name of the parameter that contains a theme specification in a theme change request. Default is "theme".

    - #### getParamName

          public String getParamName()

      Return the name of the parameter that contains a theme specification in a theme change request.

    - #### preHandle

          public boolean preHandle(HttpServletRequest request,
                          HttpServletResponse response,
                          Object handler)
                            throws ServletException

      Description copied from class: `HandlerInterceptorAdapter`
      This implementation always returns `true`.
      Specified by:
        `preHandle` in interface `HandlerInterceptor`
      Overrides:
        `preHandle` in class `HandlerInterceptorAdapter`
      Parameters:
        `request` - current HTTP request
        `response` - current HTTP response
        `handler` - chosen handler to execute, for type and/or instance evaluation
      Returns:
        `true` if the execution chain should proceed with the next interceptor or the handler itself. Else, DispatcherServlet assumes that this interceptor has already dealt with the response itself.
      Throws:
        `ServletException`